REM projective transformation
DIM m(4,4)                      
MAT READ m
DATA  1.2, 0.8, 0  , 0.1
DATA -0.1, 0.9, 0  , 0
DATA  0  , 0  , 1  , 0
DATA  0.2, 0.1, 0  , 1
SET COLOR MODE "NATIVE"         
GLOAD "zenkouji.bmp"
ASK PIXEL SIZE (0,0; 1,1) a,b  
DIM p(a,b)                      
ASK PIXEL ARRAY (0,1) p        
SET BITMAP SIZE 551,551        
CLEAR                          
SET WINDOW -0.5, 5, -0.5, 5        
DRAW grid                         
DRAW pict1                         
WAIT DELAY 2                       
CLEAR                             
DRAW grid
DRAW pict1 WITH m            
PICTURE pict1
   MAT PLOT CELLS, IN  1/100,b/100 ; a/100,1/100 : p
END PICTURE
END
